<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/col_6f7">

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_287"
        android:scaleType="fitXY"
        />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <View
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_32"/>

        <include
            android:id="@+id/title"
            layout="@layout/title_lucency_bar"/>

        <LinearLayout
            android:id="@+id/mRule"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_25"
            android:layout_marginTop="@dimen/dp_22"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="我的积分"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_15"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_13"
                android:drawableStart="@mipmap/ic_hint_white"
                android:drawablePadding="@dimen/dp_4"
                android:text="积分规则"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_12"
                android:textStyle="bold"
                tools:ignore="HardcodedText,UseCompatTextViewDrawableXml" />

        </LinearLayout>

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_25"
            android:layout_marginTop="@dimen/dp_17"
            android:layout_marginEnd="@dimen/dp_25">

            <TextView
                android:id="@+id/tvInAllIntegral"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="start|center_vertical"
                android:textColor="@color/white"
                android:textSize="35sp"
                android:textStyle="bold"
                tools:text="14200" />

            <TextView
                android:id="@+id/tvIntegralDetail"
                android:layout_width="@dimen/dp_89"
                android:layout_height="@dimen/dp_32"
                android:layout_gravity="end|center_vertical"
                android:background="@drawable/shape_16lucency_white"
                android:gravity="center"
                android:text="积分明细"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_15"
                android:textStyle="bold" />

        </FrameLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginBottom="@dimen/dp_20"
            android:layout_marginStart="@dimen/dp_14"
            android:layout_marginTop="@dimen/dp_25"
            android:layout_marginEnd="@dimen/dp_14"
            android:background="@drawable/shape_8round_white"
            android:orientation="vertical">

            <com.scwang.smart.refresh.layout.SmartRefreshLayout
                android:id="@+id/mRefresh"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginTop="@dimen/dp_19"
                android:layout_marginBottom="@dimen/dp_4">

                <com.scwang.smart.refresh.header.ClassicsHeader
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rvIntegralList"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="@dimen/dp_16"
                    android:layout_marginEnd="@dimen/dp_16" />

            </com.scwang.smart.refresh.layout.SmartRefreshLayout>

        </LinearLayout>

    </LinearLayout>

</FrameLayout>